From 0e01d6406f3591147c1b05de66180d6bc118d3a8 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Oct 16 2020 20:06:48 +0000
Subject: [PATCH 1050/2232] Expose cxx_gen::HEADER as a static &'static str


---

diff --git a/gen/lib/src/lib.rs b/gen/lib/src/lib.rs
index e4d9e71..ecfa436 100644
--- a/gen/lib/src/lib.rs
+++ b/gen/lib/src/lib.rs
@@ -20,9 +20,9 @@ mod gen;
 mod syntax;
 
 pub use crate::error::Error;
+pub use crate::gen::include::HEADER;
 pub use crate::gen::{GeneratedCode, Opt};
 use proc_macro2::TokenStream;
-use gen::include::HEADER;
 
 /// Generate C++ bindings code from a Rust token stream. This should be a Rust
 /// token stream which somewhere contains a `#[cxx::bridge] mod {}`.
@@ -32,8 +32,3 @@ pub fn generate_header_and_cc(rust_source: TokenStream, opt: &Opt) -> Result<Gen
         .map_err(Error::from)?;
     gen::generate(syntax, opt).map_err(Error::from)
 }
-
-/// Returns the complete contents of the cxx.h header.
-pub fn get_cxx_header_contents() -> &'static str {
-    HEADER
-}
diff --git a/gen/src/include.rs b/gen/src/include.rs
index 1688a4e..3255902 100644
--- a/gen/src/include.rs
+++ b/gen/src/include.rs
@@ -1,6 +1,7 @@
 use crate::gen::out::OutFile;
 use std::fmt::{self, Display};
 
+/// The complete contents of the "rust/cxx.h" header.
 pub static HEADER: &str = include_str!("include/cxx.h");
 
 pub(super) fn write(out: &mut OutFile, needed: bool, guard: &str) {

